Aquesta extensió no s'ha provat en les darreres 3 versions majors del WordPress. Segurament no està mantinguda o suportada, i pot tenir problemes de compatibilitat quan s'usa en versions recents del WordPress.

Forbid Pwned Passwords

Descripció

Protect your WordPress site’s users from using breached passwords!

With Forbid Pwned Passwords, your site’s users will receive errors if they attempt to set their password to one found in a known breach, forcing them to choose a new one.
This can help to mitigate credential stuffing attacks against your site and its users.

This plugin makes use of Troy Hunt’s Have I Been Pwned? API. Using k-anonymity methods, only a partial SHA-1 hash of the password
is sent to the API in order to produce a list of hashes for local testing. This means no passwords are ever sent to third parties.

You can learn more about the Have I Been Pwned API here.

Ressenyes

24 agost 2018
This is great - it is a very nice and simple plugin to force users to select passwords that are not typically hacked le. Would be nice to have a customisable message but I love it none-the-less. Nice work!
Llegiu tota la 1 ressenya

Col·laboradors i desenvolupadors

"Forbid Pwned Passwords" és programari de codi obert. La següent gent ha contribuït en aquesta extensió.

Contribuïdors

Registre de canvis

0.1.1

  • Improved error handling in the event of an API failure.